package cn.com.qmth.examcloud.core.oe.student.service;


import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.core.oe.student.bean.CheckExamInProgressInfo;
import cn.com.qmth.examcloud.core.oe.student.bean.StartExamInfo;
import cn.com.qmth.examcloud.core.oe.student.dao.enums.HandInExamType;

/**
 * @author chenken
 * @date 2018年8月13日 下午2:09:38
 * @company QMTH
 * @description 在线考试控制服务接口
 */
public interface ExamControlService {

    /**
     * 开始考试
     *
     * @param examStudentId
     * @param user
     */
    StartExamInfo startExam(Long examStudentId, User user);

    /**
     * 交卷
     *
     * @param examRecordDataId 考试记录id
     * @param handInExamType   交卷类型
     */
    void handInExam(Long examRecordDataId, HandInExamType handInExamType);
    
    /**
     * 断点续考:检查正在进行中的考试
     *
     * @param studentId
     */
    public CheckExamInProgressInfo checkExamInProgress(Long studentId);

}
