package cn.com.qmth.examcloud.core.oe.student.service;

import cn.com.qmth.examcloud.core.basic.api.bean.CourseBean;
import cn.com.qmth.examcloud.examwork.api.bean.ExamBean;
import cn.com.qmth.examcloud.support.examing.ExamRecordData;
import cn.com.qmth.examcloud.support.examing.ExamingSession;

/**
 * @author chenken
 * @date 2018/8/15 11:16
 * @company QMTH
 * @description 考试记录数据服务接口
 */
public interface ExamRecordDataService {

    /**
     * 创建ExamRecordDataEntity
     * 
     * @param examedTimes
     *            已考次数
     * @param canExamTimes
     *            可考次数
     * @param isReExamine
     *            本次考试是否为重考
     * @param isFullyObjetive
     *            是否全客观题
     * @return
     */
    public ExamRecordData createExamRecordData(ExamingSession examingSession, ExamBean examBean, CourseBean courseBean,
            String basePaperId);
    
    /**
     * 保存
     * @param timeout   秒
     */
    public void saveExamRecordDataCache(Long examRecordDataId,ExamRecordData data);

    /**
     * 获取
     * @param examRecordDataId
     * @return
     */
    public ExamRecordData getExamRecordDataCache(Long examRecordDataId);

    /**
     * 删除
     * @param examRecordDataId
     */
    public void deleteExamRecordDataCache(Long examRecordDataId);

}
