package cn.com.qmth.examcloud.core.oe.student.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.student.service.ExamRecordPaperStructService;
import cn.com.qmth.examcloud.question.commons.core.paper.DefaultPaper;
import cn.com.qmth.examcloud.web.redis.RedisClient;

@Service("examRecordPaperStructService")
public class ExamRecordPaperStructServiceImpl implements ExamRecordPaperStructService {

    @Autowired
    private RedisClient redisClient;

    @Value("${exam_paper_struct_key_prefix}")
    private String examPaperStructKeyPrefix;

    @Override
    public void saveExamRecordPaperStruct(Long examRecordDataId, DefaultPaper paper) {
        redisClient.set(examPaperStructKeyPrefix + examRecordDataId, paper,-1);
    }

    @Override
    public DefaultPaper getExamRecordPaperStruct(Long examRecordDataId) {
        return redisClient.get(examPaperStructKeyPrefix + examRecordDataId, DefaultPaper.class);
    }

    @Override
    public void deleteExamRecordPaperStruct(Long examRecordDataId) {
        redisClient.delete(examPaperStructKeyPrefix + examRecordDataId);
    }

}
