package cn.com.qmth.examcloud.core.oe.student.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.student.service.ExamingSessionService;
import cn.com.qmth.examcloud.support.examing.ExamingSession;
import cn.com.qmth.examcloud.web.redis.RedisClient;

/**
 * @author chenken
 * @date 2018/8/15 9:24
 * @company QMTH
 * @description 考试会话服务实现
 */
@Service("examingSessionService")
public class ExamingSessionServiceImpl implements ExamingSessionService {

    @Autowired
    private RedisClient redisClient;
    
    @Value("${exam_redis_key_prefix}")
    private String examRedisKeyPrefix;

    @Override
    public void saveExamingSession(Long studentId, ExamingSession examingSession) {
        redisClient.set(examRedisKeyPrefix+studentId,examingSession,-1);
    }

    @Override
    public ExamingSession getExamingSession(Long studentId) {
        return redisClient.get(examRedisKeyPrefix+studentId,ExamingSession.class);
    }

    @Override
    public void deleteExamingSession(Long studentId) {
        redisClient.delete(examRedisKeyPrefix+studentId);
    }
}
